﻿class CGameController;

class COverworld
{
public:
	COverworld(Obelisk::IObelisk* aObelisk, CGameController* aOwner);
	~COverworld();

	void Update();
	void Render();

private:
	Obelisk::IObelisk* mObelisk;
	CGameController *mOwner;

	float mProjectionMatrix[16];

	float mCameraX;
	float mCameraY;
	float mCameraZ;
	bool mCursor;

	CIsland *mSelectedIsland;
	bool mIslandInRange;

	int mBoatBob;

	bool mFirstInRange;
};