﻿#include "Obelisk.h"

#include "CTurret.h"

using namespace Obelisk;



CTurret::CTurret(int aX, int aLevel)
{
	mX = aX;
	mLevel = aLevel;
	mExplodeTime = 0;
	mShootTime = 0;
}



void CTurret::Reset()
{
	mShootTime = 0;
}



bool CTurret::Update()
{
	if (mExplodeTime != 0)
	{
		if (--mExplodeTime == 0)
			return true;
	}
	if (mShootTime != 0)
		--mShootTime;
	return false;
}



void CTurret::Explode()
{
	mExplodeTime = 80;
}



void CTurret::Shoot()
{
	mShootTime = 32 - mLevel - mLevel / 2;
}