﻿#include "Obelisk.h"

#include "CScriptEngine.h"
#include "IScript.h"
#include "CScriptAttackHelp.h"

using namespace Obelisk;



CScriptAttackHelp::CScriptAttackHelp()
{
	mStage = 0;
}



bool CScriptAttackHelp::Update(bool& aResult, IObelisk* aObelisk, CScriptEngine* aEngine)
{
	aResult = false;
	if (aObelisk->MouseButtonClicked(false) || aEngine->IsEnterPressed())
		mStage++;
	if (aEngine->IsEscapePressed())
		mStage = 1;
	return mStage == 1;
}



void CScriptAttackHelp::Render(IObelisk* aObelisk, CScriptEngine* aEngine)
{
	switch (mStage)
	{
		case 0:
			aEngine->ShowProfileInner(pCmdr);
			aEngine->ShowTextInner(0, SL("Now click the attack button."));
			break;
	}
}