﻿#include "Obelisk.h"

#include "CScriptEngine.h"
#include "IScript.h"
#include "CScriptRankHelp.h"

using namespace Obelisk;



CScriptRankHelp::CScriptRankHelp()
{
	mStage = 0;
}



bool CScriptRankHelp::Update(bool& aResult, IObelisk* aObelisk, CScriptEngine* aEngine)
{
	aResult = false;
	if (aObelisk->MouseButtonClicked(false) || aEngine->IsEnterPressed())
		mStage++;
	if (aEngine->IsEscapePressed())
		mStage = 1;
	return mStage == 1;
}



void CScriptRankHelp::Render(IObelisk* aObelisk, CScriptEngine* aEngine)
{
	switch (mStage)
	{
		case 0:
			aEngine->ShowProfileInner(pCmdr);
			aEngine->ShowTextInner(0, SL("You've gained a Rank. You now get more powerful"));
			aEngine->ShowTextInner(1, SL("helicopters and more of them too. Which will be"));
			aEngine->ShowTextInner(2, SL("useful for attacking those higher level islands."));
			break;
	}
}